For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
      • POSTCreate a Privacy Pass
      • POSTCreate a Relay
      • POSTGenerate a Relay claim
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceRelay

Generate a Relay claim

POST
https://api.withpersona.com/api/privacy/v1/relays/:relay-token/generate-claim
POST
/api/privacy/v1/relays/:relay-token/generate-claim
$curl -X POST https://api.withpersona.com/api/privacy/v1/relays/:relay-token/generate-claim \
> -H "Authorization: PrivateToken token=<privacyPassToken>" \
> -H "Persona-Relay-Secret: <relay-secret>"
1{
2 "claim-payload": "{\"claim_type\":\"age_over18_germany\",\"claim_result\":\"passed\",\"methodology\":[]}",
3 "token-consumed": true
4}
Returns a relay's claim.
Was this page helpful?
Previous

Reports

Next
Built with

Authentication

AuthorizationPrivateToken token=

Privacy Pass token per RFC 9577. Provide as Authorization: PrivateToken token=<privacyPassToken>.

Path parameters

relay-tokenstringRequired

The public Relay token returned by POST /relays.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
Persona-Relay-SecretstringRequired

The relay-secret value returned at Relay creation. Required for every read of the claim payload; an incorrect secret returns 404.

Response

Returns the claim payload and whether the Privacy Pass token was consumed.
claim-payloadstring

The claim payload. If an encryption-key-pem was provided at Relay creation, this is a base64-encoded RSA OAEP ciphertext that must be decrypted client-side. Otherwise, this is a JSON string containing claim_type, claim_result, and an optional methodology array.

token-consumedboolean

true if the Privacy Pass token was consumed by this request. false if the underlying claim did not pass and the token was refunded to the client.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.